SystemOrganization addCategory: #GODKernelTests!

TestCase subclass: #GODDataTest
	instanceVariableNames: 'godData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODKernelTests'!

!GODDataTest methodsFor: 'initialize-release' stamp: 'has 9/18/2014 15:30'!
setUp
	godData := GODData new.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/20/2014 20:20'!
testAddDuplicatedTag
	godData addTag: 'newTag'.
	self should: [godData addTag: 'newTag'.] raise: Error! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/26/2014 23:55'!
testAddGODDataInLayoutGrid

	| newGod |

	godData layoutGridRowSize: 3 columnSize: 2.
	newGod := GODData new.
	newGod height: 3.
	newGod width: 5.
	godData addOnLayoutGrid: newGod at: 1 at: 2.
	self assert: (godData layoutGrid includes: newGod) = true.
	self assert: (godData layoutGrid at: 1 at: 2) width = 5.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/18/2014 16:39'!
testAddNewTag
	godData addTag: 'newTag'.
	self assert: (godData tags size) = 1.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/26/2014 23:37'!
testCreateLayoutGrid
	godData layoutGridRowSize: 3 columnSize: 2.
	self assert: (godData layoutGrid size) = 6.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/27/2014 00:10'!
testGetGODDataInLayoutGrid

	| newGod |

	godData layoutGridRowSize: 3 columnSize: 2.
	newGod := GODData new.
	godData addOnLayoutGrid: newGod at: 1 at: 2.
	self assert: (godData layoutGrid at: 1 at: 2) = newGod.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/27/2014 00:09'!
testGetIndexInLayoutGrid

	| newGod |

	godData layoutGridRowSize: 3 columnSize: 2.
	newGod := GODData new.
	godData addOnLayoutGrid: newGod at: 1 at: 2.
	self assert: (godData layoutGrid indexOf: newGod) = (1@2).! !
